BIP32GEN(1)

NAME
bip32gen - Create hierarchical deterministic wallet addresses

SYNOPSIS
bip32gen [options]

DESCRIPTION
This manual page documents briefly the bip32gen command.

The bip32utils library is a pure Python implementation of Bitcoin hierarchical deterministic wallet ("HD Wallet") ECDSA key generation as specified in BIP0032 (Bitcoin Improvement Proposal #0032).

POSITIONAL ARGUMENTS

chain
    List of hierarchical key specifiers

OPTIONAL ARGUMENTS

-h, --help
    Show this help message and exit

-x, --input-hex
    Input supplied as hex-encoded ascii

-X, --output-hex
    Output generated (where applicable) as hex-encoded ascii

-i [type], --input-type [type]
    Source material to generate key, where type can be: entropy,xprv,xpub

-n AMOUNT, --amount AMOUNT
    Amount of entropy to to read (bits), None for all of input

-f FROM_FILE, --from-file FROM_FILE
    Filespec of input data, '-' for stdin

--o OUTPUT_TYPE, --output-type OUTPUT_TYPE
    Output types, comma separated, from addr|privkey|wif|pubkey|xprv|xpub|chain

-v, --verbose
    Verbose output, not for machine parsing

-d, --debug
    Enable debugging output

-t, --testnet
    Use testnet formatted

AUTHOR
bip32gen was written by Johnathan Corgan <johnathan@corganlabs.com>

This manual page was written by Josue Ortega <josue@debian.org>, for the Debian project (and may be used by others).